org.apache.synapse.commons.staxon.core.event

## Class SimpleXMLEventReader

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.event.SimpleXMLEventReader

- All Implemented Interfaces:
    Iterator, XMLEventReader

      public class SimpleXMLEventReader
      extends Object
      implements XMLEventReader

  Simple implementation of `XMLEventReader`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXMLEventReader(XMLStreamReader delegate)`
    `SimpleXMLEventReader(XMLStreamReader delegate, XMLEventAllocator allocator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected XMLEvent` | `allocate()`
    `void` | `close()`
    `String` | `getElementText()`
    `Object` | `getProperty(String name)`
    `boolean` | `hasNext()`
    `Object` | `next()`
    `XMLEvent` | `nextEvent()`
    `XMLEvent` | `nextTag()`
    `XMLEvent` | `peek()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### SimpleXMLEventReader

          public SimpleXMLEventReader(XMLStreamReader delegate)

    - #### SimpleXMLEventReader

          public SimpleXMLEventReader(XMLStreamReader delegate,
                                      XMLEventAllocator allocator)

  - ### Method Detail

    - #### allocate

          protected XMLEvent allocate()
                               throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLEventReader`
      Throws:
        `XMLStreamException`

    - #### getElementText

          public String getElementText()
                                throws XMLStreamException

      Specified by:
        `getElementText` in interface `XMLEventReader`
      Throws:
        `XMLStreamException`

    - #### getProperty

          public Object getProperty(String name)

      Specified by:
        `getProperty` in interface `XMLEventReader`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`
      Specified by:
        `hasNext` in interface `XMLEventReader`

    - #### nextEvent

          public XMLEvent nextEvent()
                             throws XMLStreamException

      Specified by:
        `nextEvent` in interface `XMLEventReader`
      Throws:
        `XMLStreamException`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### nextTag

          public XMLEvent nextTag()
                           throws XMLStreamException

      Specified by:
        `nextTag` in interface `XMLEventReader`
      Throws:
        `XMLStreamException`

    - #### peek

          public XMLEvent peek()
                        throws XMLStreamException

      Specified by:
        `peek` in interface `XMLEventReader`
      Throws:
        `XMLStreamException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.